Skip to main content
DELETE
/
v2
/
payment
/
{id}
/
delete
Deletes an existing payment.
curl --request DELETE \
  --url https://api.jtl-cloud.com/erp/v2/payment/{id}/delete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "id": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}
'
import requests

url = "https://api.jtl-cloud.com/erp/v2/payment/{id}/delete"

payload = { "id": "b45f6432-2462-4c6f-b00f-1d9d01000000" }
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: 'b45f6432-2462-4c6f-b00f-1d9d01000000'})
};

fetch('https://api.jtl-cloud.com/erp/v2/payment/{id}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

id
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request parameters

Deletes an existing payment. - Request

id
string<uuid>

The ID of the payment to delete.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

200 - application/json

Payment was successfully deleted.